package com.pcloud.book.base.enums;

/**
 * 代理模式枚举类
 */
public enum ProxyModeEnum {
    /**
     * 是承让方
     */
    IS_TRANSFEREE(1),
    /**
     * 不是承让方
     */
    NO_TRANSFEREE(0),

    /**
     * 非代理模式
     */
    NON_AGENT(0),
    /**
     * 代理模式
     */
    PROXY_MODE(1);

    public final Integer value;

    private ProxyModeEnum(Integer value) {
        this.value = value;
    }
}
